Debian Bug report logs - #645116
lb_chroot_local_preseed broken

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: "Eugenio 'g7' Paolantonio" <me@medesimo.eu>

Date: Wed, 12 Oct 2011 17:03:01 UTC

Severity: normal

Found in version live-build/3.0~a35-1

Fixed in version live-build/3.0~a36-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#645116; Package live-build. (Wed, 12 Oct 2011 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugenio 'g7' Paolantonio" <me@medesimo.eu>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 12 Oct 2011 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Eugenio 'g7' Paolantonio" <me@medesimo.eu>
To: submit@bugs.debian.org
Subject: lb_chroot_local_preseed broken
Date: Wed, 12 Oct 2011 18:59:15 +0200
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a35-1

Hi,

It seems that lb_chroot_preseed tries to copy preseeds from a directory
called 'chroot_preseed', instead of 'preseed', thus broking the application
of the settings.

Ciao,
Eugenio
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#645116; Package live-build. (Wed, 12 Oct 2011 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 12 Oct 2011 18:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 645116@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Eugenio 'g7' Paolantonio <me@medesimo.eu>
Cc: 645116@bugs.debian.org
Subject: Re: Bug#645116: lb_chroot_local_preseed broken
Date: Wed, 12 Oct 2011 19:59:50 +0200
On 10/12/2011 06:59 PM, Eugenio 'g7' Paolantonio wrote:
> It seems that lb_chroot_preseed tries to copy preseeds from a directory
> called 'chroot_preseed', instead of 'preseed', thus broking the
> application of the settings.

absolutely, thanks for spotting it.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 13 Oct 2011 15:06:14 GMT) Full text and rfc822 format available.

Notification sent to "Eugenio 'g7' Paolantonio" <me@medesimo.eu>:
Bug acknowledged by developer. (Thu, 13 Oct 2011 15:06:14 GMT) Full text and rfc822 format available.

Message #15 received at 645116-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 645116-close@bugs.debian.org
Subject: Bug#645116: fixed in live-build 3.0~a36-1
Date: Thu, 13 Oct 2011 15:03:41 +0000
Source: live-build
Source-Version: 3.0~a36-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a36-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a36-1_all.deb
live-build-cron_3.0~a36-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a36-1_all.deb
live-build_3.0~a36-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a36-1.debian.tar.gz
live-build_3.0~a36-1.dsc
  to main/l/live-build/live-build_3.0~a36-1.dsc
live-build_3.0~a36-1_all.deb
  to main/l/live-build/live-build_3.0~a36-1_all.deb
live-build_3.0~a36.orig.tar.gz
  to main/l/live-build/live-build_3.0~a36.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645116@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 13 Oct 2011 15:55:53 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a36-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 645116
Changes: 
 live-build (3.0~a36-1) unstable; urgency=low
 .
   * Using compression level 9 also for binary packages.
   * Updating squeeze point release number.
   * Correcting wrong location when looking for local preseed files in
     config tree, thanks to Eugenio Paolantonio <me@medesimo.eu> (Closes:
     #645116).
   * Deal with non-existing preseed files in config tree.
Checksums-Sha1: 
 8c3221c90fc22fdef6479bd203e644820d01b9a3 1413 live-build_3.0~a36-1.dsc
 646a445a5f6e1e1598727ba38ac0b0bada61c6d1 1821792 live-build_3.0~a36.orig.tar.gz
 b82a7f83dcbf7f7870dcfaa396e9417536774667 49907 live-build_3.0~a36-1.debian.tar.gz
 ed6512f4a15592dde4dc93e08bb8d90494849236 1137598 live-build_3.0~a36-1_all.deb
 819ee2db6245b314c60693b8e9285a0ed4f8ec50 63476 live-build-cgi_3.0~a36-1_all.deb
 939676f19458462c8fb9378a70258edd48401393 63560 live-build-cron_3.0~a36-1_all.deb
Checksums-Sha256: 
 d1865d8d8cf931af96f63d7e9b1e8e3f648b43b9dd241239b9a57f9667b08fcb 1413 live-build_3.0~a36-1.dsc
 3c656826e741358a6e8f25c49c27a1d27a811385a2768e0f9803cc4dbae3f548 1821792 live-build_3.0~a36.orig.tar.gz
 9cc656b744c1c10c2b80ef4b49d84c93c819a85276f0ec5bdf4b3646cd697e56 49907 live-build_3.0~a36-1.debian.tar.gz
 2091e22c719596ca22ac4149f735354b836557597c209841a7c81d8aefffe5f9 1137598 live-build_3.0~a36-1_all.deb
 2369c190af35288988eb17ffe1c077074d411f72ddada3fe9ad69f1eae197981 63476 live-build-cgi_3.0~a36-1_all.deb
 d4d4cf98081e2bb9b826356012952863f12a16dcf234874366167d711d770291 63560 live-build-cron_3.0~a36-1_all.deb
Files: 
 0797d1eab332bf4a30e4c372333512c6 1413 misc optional live-build_3.0~a36-1.dsc
 e872470fc77de8614c82a23f8b96a2ab 1821792 misc optional live-build_3.0~a36.orig.tar.gz
 e42b34d88b679a7d2a9615b7ae6c37f1 49907 misc optional live-build_3.0~a36-1.debian.tar.gz
 9371319c73e0600626a8fe3b8a86c973 1137598 misc optional live-build_3.0~a36-1_all.deb
 00a71a9a214d957f0a6594573d7abe0a 63476 misc optional live-build-cgi_3.0~a36-1_all.deb
 cdbbba68c9c27edeae0d06344338e0c5 63560 misc optional live-build-cron_3.0~a36-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk6W76AACgkQ+C5cwEsrK55Z8gCfa4TkWvEhg0+gsFJIpuQzUXM/
e90AoIERs+jABJ966Ot0TDvwpSeHHOCh
=Oya7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Nov 2011 07:32:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:07:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.